<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars_p.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_p"></a>- p -</h3><ul>
<li>ParenExpr_scalar
: <a class="el" href="struct_sub_level_properties.html#a8303dd1282e57188e9028b01e6c339ab">SubLevelProperties</a>
</li>
<li>ParenExprPosition
: <a class="el" href="struct_paren_expr_properties.html#af47e59f4f8a896db8c4518e5e8fbe611">ParenExprProperties</a>
</li>
<li>parentname
: <a class="el" href="struct_member_expr_prop.html#a8a240f11e65d3dddc1054852526bc330">MemberExprProp</a>
</li>
<li>parenttypedef
: <a class="el" href="struct_member_expr_prop.html#ad85af5f7d1ac9470b9a6280676ec6f72">MemberExprProp</a>
</li>
<li>parentTypeDefname
: <a class="el" href="struct_member_expr_prop.html#a65c64578070e879178099a181ee15494">MemberExprProp</a>
</li>
<li>path
: <a class="el" href="struct_code_pos_for_j_s_o_n.html#a22777425846538c6d599918122ada7b2">CodePosForJSON</a>
</li>
<li>PointeeIsConst
: <a class="el" href="struct_variable__type.html#a60255db01d0877046da3167ced303ecb">Variable_type</a>
</li>
<li>PointeeTypeClassName
: <a class="el" href="struct_type_properties.html#a540191fb33a5ebc8b929c6520e04f127">TypeProperties</a>
</li>
<li>PointeeTypeClassNameDesug
: <a class="el" href="struct_type_properties.html#a04c7138fed00feabb9ecac16e9a13ab6">TypeProperties</a>
</li>
<li>PointerIsConst
: <a class="el" href="struct_variable__type.html#a76acba30d36d5229fed7965e37ae6626">Variable_type</a>
</li>
<li>processed_node
: <a class="el" href="struct_node_hierarchy.html#ac13f8a9cb58f0bfd84bb62f3d177a369">NodeHierarchy</a>
</li>
<li>processing_active
: <a class="el" href="struct_node_hierarchy.html#a2bd07428a56e01ee2e84b12522f364ce">NodeHierarchy</a>
</li>
<li>ProcessOrService
: <a class="el" href="struct_binary_op_properties.html#a9401e6949ca1d3b4d5203d731258ec69">BinaryOpProperties</a>
</li>
<li>propertyIndex
: <a class="el" href="structident__type.html#a562625988f790a273321e9ad7e577a3b">ident_type</a>
</li>
<li>ptr_fieldname_vec
: <a class="el" href="struct_type_properties.html#a334329965e9a6302676af7adc2b292d5">TypeProperties</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
